// Copyright 2022 wanderer <a_mirre at utb dot cz>
// SPDX-License-Identifier: GPL-3.0-or-later

package algo

import (
	"sync"
	"testing"
)

var wg sync.WaitGroup

func TestDoRandomSearchExec(t *testing.T) {
	wg.Add(1)

	go DoRandomSearch(&wg)

	wg.Wait()
}

func TestDoSHCExec(t *testing.T) {
	wg.Add(1)

	go DoStochasticHillClimbing(&wg)

	wg.Wait()
}
